<xml> </xml>

IrrKlang.NET |

# ISoundSource Methods

The methods of the ISoundSource class are listed below. For a complete list of ISoundSource class members, see the ISoundSource Members topic.

#### Public Instance Methods

Dispose |
Equals (inherited from Object) | Determines whether the specified Object is equal to the current Object.
ForceReloadAtNextUse | Forces the sound to be reloaded at next replay. Sounds which are not played as streams are buffered to make it possible to replay them without much overhead. If the sound file is altered after the sound has been played the first time, the engine won't play the changed file then. Calling this method makes the engine reload the file before the file is played the next time.
GetHashCode (inherited from Object) | Serves as a hash function for a particular type, suitable for use in hashing algorithms and data structures like a hash table.
getNativeSoundSource | for internal use only
GetType (inherited from Object) | Gets the Type of the current instance.
ToString (inherited from Object) | Returns a String that represents the current Object.

#### Protected Instance Methods

Finalize | Destructor
MemberwiseClone (inherited from Object) | Creates a shallow copy of the current Object.

#### See Also

ISoundSource Class | IrrKlang Namespace